import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrDotmatrixpagecollectrecord {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  UserId!: bigint;
  PageNo?: string;
  LastCollectTime!: Date;
  TriggerTime?: Date;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrDotmatrixpagecollectrecordSchema = defineEntity({
  class: IcrDotmatrixpagecollectrecord,
  comment: '点阵页采集记录',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    UserId: p.bigint().name('UserId').comment('用户编号'),
    PageNo: p.string().name('PageNo').nullable().comment('点阵页码'),
    LastCollectTime: p.datetime().name('LastCollectTime').length(3).comment('上次采集时间'),
    TriggerTime: p.datetime().name('TriggerTime').length(3).nullable().comment('触发时间'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
